Package com.evopdf

# Class HtmlElementMappingsCollection

java.lang.Object
com.evopdf.HtmlElementMappingsCollection

public class HtmlElementMappingsCollection extends Object
Represents a collection of mappings of HTML elements in PDF

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `HtmlElementMappingsCollection()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `count()`
  Gets the number of HTML element mappings in this collection
  `HtmlElementMapping`
  `getByIndex(int index)`
  Gets the mapping at the specified zero based index from collection
  `HtmlElementMapping`
  `getElementByHtmlId(String htmlElementId)`
  Gets the mapping in PDF of the HTML element with the specified HTML ID.
  `HtmlElementMapping`
  `getElementByMappingId(String mappingId)`
  Gets the mapping in PDF of the HTML element with the mapping ID given by the special HTML attribute data-mapping-id.
  `HtmlElementMapping[]`
  `getElementsByTagName(String htmlElementTagName)`
  Gets the mapping in PDF of the HTML elements with the specified HTML tag name.

  ### Methods inherited from class java.lang.Object

  `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### HtmlElementMappingsCollection

    public HtmlElementMappingsCollection()

- ## Method Details

  - ### getByIndex

    public HtmlElementMapping getByIndex(int index)
    Gets the mapping at the specified zero based index from collection
    Parameters:
      `index` - The zero based index of the mapping
    Returns:
      he mapping at the specified index in collection. Returns null if the index is out of collection bounds

  - ### getElementByHtmlId

    public HtmlElementMapping getElementByHtmlId(String htmlElementId)
    Gets the mapping in PDF of the HTML element with the specified HTML ID. The search is case insensitive
    Parameters:
      `htmlElementId` - the HTML ID of the element
    Returns:
      the mapping in PDF of the specified HTML element or null if no element with the specified ID was found

  - ### getElementByMappingId

    public HtmlElementMapping getElementByMappingId(String mappingId)
    Gets the mapping in PDF of the HTML element with the mapping ID given by the special HTML attribute data-mapping-id. The search is case insensitive
    Parameters:
      `mappingId` - the mapping ID of the element given by the data-mapping-id HTML attribute
    Returns:
      the mapping in PDF of the specified HTML element or null if no element with the specified mapping ID was found

  - ### getElementsByTagName

    public HtmlElementMapping[] getElementsByTagName(String htmlElementTagName)
    Gets the mapping in PDF of the HTML elements with the specified HTML tag name. The search is case insensitive
    Parameters:
      `htmlElementTagName` - the HTML tag name of the element
    Returns:
      the mappings in PDF of the specified HTML elements or null if no element with the specified tag name was found

  - ### count

    public int count()
    Gets the number of HTML element mappings in this collection
    Returns:
      the number of HTML element mappings in this collection